Bug 1619815 - [GSS](6.4.z) JDK 8 causes SOAP element order to change
Summary: [GSS](6.4.z) JDK 8 causes SOAP element order to change
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: Web Services
Version: 6.4.20
Hardware: Unspecified
OS: Unspecified
unspecified
high
Target Milestone: CR1
: EAP 6.4.22
Assignee: jboss-set
QA Contact: Peter Mackay
URL:
Whiteboard:
Depends On:
Blocks: eap6422-payload 1619816 1630924
TreeView+ depends on / blocked
 
Reported: 2018-08-21 19:49 UTC by Brad Maxwell
Modified: 2019-08-19 12:42 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-08-19 12:42:52 UTC
Type: Bug


Attachments (Terms of Use)
reproducer (part 1) (31.99 KB, application/zip)
2018-08-22 22:37 UTC, Chris Dolphy
no flags Details
reproducer (part 2 - the main part and really the only part needed if you don't want to compile) (2.83 MB, application/zip)
2018-08-22 22:38 UTC, Chris Dolphy
no flags Details


Links
System ID Priority Status Summary Last Updated
Apache JIRA CXF-7823 None None None 2018-08-24 09:16:57 UTC
Red Hat One Jira Issue Tracker JBEAP-16547 Major Verified CXF-7823 JAXBEncoderDecoder doesn't respect @XmlType's propOrder in Exception class 2019-06-06 02:32:58 UTC

Description Brad Maxwell 2018-08-21 19:49:07 UTC
JDK 8 causes SOAP element order to change

Comment 3 Chris Dolphy 2018-08-22 22:37:43 UTC
Created attachment 1478006 [details]
reproducer (part 1)

Comment 4 Chris Dolphy 2018-08-22 22:38:25 UTC
Created attachment 1478007 [details]
reproducer (part 2 - the main part and really the only part needed if you don't want to compile)

Comment 5 Chris Dolphy 2018-08-22 22:40:24 UTC
Reproducer attached.

To test deploy TestService/target/TestService.war.  The other zip is needed if you want to rebuild.

To run, use throwException=Y something like:

<soapenv:Envelope xmlns:soapenv="http://schemas.xmlsoap.org/soap/envelope/" xmlns:com="http://com.macys.testservice.types/">
   <soapenv:Header/>
   <soapenv:Body>
      <com:doSomething>
         <com:MyRequest>
            <!--Optional:-->
            <throwException>Y</throwException>
         </com:MyRequest>
      </com:doSomething>
   </soapenv:Body>
</soapenv:Envelope>

Comment 10 Peter Mackay 2019-05-08 20:23:59 UTC
Regression tests passed
Verified with EAP 6.4.22.CP.CR1


Note You need to log in before you can comment on or make changes to this bug.